unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ScktComp, Sockets;

type
  TForm1 = class(TForm)
    OptionPanel: TPanel;
    Port: TLabeledEdit;
    Ip: TLabeledEdit;
    Panel1: TPanel;
    Client: TClientSocket;
    Odpoved: TMemo;
    Odesli: TButton;
    Pozadavek: TMemo;
    FindPanel: TPanel;
    Label2: TLabel;
    Find: TPanel;
    Odjezd: TLabeledEdit;
    Prestupy: TLabeledEdit;
    Nyni: TPanel;
    ZobrazitN: TLabeledEdit;
    Odkud: TComboBox;
    Kam: TComboBox;
    Label4: TLabel;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure Panel1Click(Sender: TObject);
    procedure OdesliClick(Sender: TObject);
    procedure ClientRead(Sender: TObject; Socket: TCustomWinSocket);
    procedure NyniClick(Sender: TObject);
    procedure FindClick(Sender: TObject);
    procedure OdkudChange(Sender: TObject);
    procedure KamChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
 Odkud.Items.LoadFromFile('stanice.txt');
 Kam.Items.LoadFromFile('stanice.txt');   //nacita seznam stanic
 OptionPanel.Width := Form1.ClientWidth;
 OptionPanel.Height := Form1.ClientHeight;
 FindPanel.Width := Form1.ClientWidth;
 FindPanel.Height := Form1.ClientHeight;  //Prechazi do fullwindow modu
end;

procedure TForm1.FormResize(Sender: TObject);
begin
 OptionPanel.Width := Form1.ClientWidth;
 OptionPanel.Height := Form1.ClientHeight;
 FindPanel.Width := Form1.ClientWidth;
 FindPanel.Height := Form1.ClientHeight;  // Udrzuje panely ve fullwindow modu
end;

procedure TForm1.Panel1Click(Sender: TObject);
begin
Client.Port := StrToInt(Port.Text);
Client.Host := Ip.Text;     //Nastavuje clienta
OptionPanel.Visible := False;
end;

procedure TForm1.OdesliClick(Sender: TObject);
begin
 Client.Active := True;
 Client.Socket.SendText(Pozadavek.Text); //Odesila pozadavek
 Client.Active := False;
 end;

procedure TForm1.ClientRead(Sender: TObject; Socket: TCustomWinSocket);
begin
 Odpoved.Text := Client.Socket.ReceiveText; // nefunguje, nevim proc
end;


procedure TForm1.NyniClick(Sender: TObject);
begin
 Odjezd.Text := TimeToStr(Time);
 Caption := 'Aha, Taky jsem chtl vdt kolik je hodin.';
end;

procedure TForm1.FindClick(Sender: TObject);
begin
Pozadavek.Clear;     //Pipravuje msto pro nov poadavek
Pozadavek.Lines.Add('GET /NajdiSpojeni?odkud='+Odkud.Text+'&kam='+Kam.Text+'&spojeni='+ZobrazitN.Text+'&odjezd='+Odjezd.Text+'&prestupy='+Prestupy.Text+' HTTP/1.0');
Pozadavek.Lines.Add('Host: localhost');
Pozadavek.Lines.Add('User-Agent: Vyhledavac Jizdnich Radu (v0.1)');
Pozadavek.Lines.Add(''); //Vyplnil pozadavek
Caption := 'Snate se zbyten, Tohle tlatko je k niemu.';
Odesli.Click; //odesila
end;

procedure TForm1.OdkudChange(Sender: TObject);
begin
Caption := 'No tak odtud bych ani nhodou nejel.';
end;

procedure TForm1.KamChange(Sender: TObject);
begin
Caption := 'Odkud to msto znm?';
end;

end.
